Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Class FrameAdapter

    java.lang.Object
      edu.stanford.smi.protege.event.FrameAdapter

All Implemented Interfaces:
  FrameListener, EventListener

    public abstract class FrameAdapter

extends Object
implements FrameListener

Adapter for frame listeners. Subclass this if you only want to catch a few frame events.

Author:
  Ray Fergerson

Constructor Summary
`FrameAdapter()`

Method Summary
`void` | `browserTextChanged(FrameEvent event)`
`void` | `deleted(FrameEvent event)`
`void` | `frameReplaced(FrameEvent event)`
`void` | `nameChanged(FrameEvent event)` Deprecated. Override frameReplaced instead.
`void` | `ownFacetAdded(FrameEvent event)`
`void` | `ownFacetRemoved(FrameEvent event)`
`void` | `ownFacetValueChanged(FrameEvent event)`
`void` | `ownSlotAdded(FrameEvent event)`
`void` | `ownSlotRemoved(FrameEvent event)`
`void` | `ownSlotValueChanged(FrameEvent event)`
`void` | `visibilityChanged(FrameEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameAdapter

    public FrameAdapter()

Method Detail

### browserTextChanged

    public void browserTextChanged(FrameEvent event)

  Specified by:
    `browserTextChanged` in interface `FrameListener`

### deleted

    public void deleted(FrameEvent event)

  Specified by:
    `deleted` in interface `FrameListener`

### nameChanged

    @Deprecated
    public void nameChanged(FrameEvent event)

  Deprecated. Override frameReplaced instead.

  Description copied from interface: `FrameListener`
  This routine should be called replaceFrame but for backwards compatibility reasons we cannot change this. The closest thing in Protege frames to a rename frame operation is a replace frame operation where a frame is deleted and a new frame is created which is identical to the original except for the name. When this happens the following method is called.

  Specified by:
    `nameChanged` in interface `FrameListener`

### frameReplaced

    public void frameReplaced(FrameEvent event)

### ownFacetAdded

    public void ownFacetAdded(FrameEvent event)

  Specified by:
    `ownFacetAdded` in interface `FrameListener`

### ownFacetRemoved

    public void ownFacetRemoved(FrameEvent event)

  Specified by:
    `ownFacetRemoved` in interface `FrameListener`

### ownFacetValueChanged

    public void ownFacetValueChanged(FrameEvent event)

  Specified by:
    `ownFacetValueChanged` in interface `FrameListener`

### ownSlotAdded

    public void ownSlotAdded(FrameEvent event)

  Specified by:
    `ownSlotAdded` in interface `FrameListener`

### ownSlotRemoved

    public void ownSlotRemoved(FrameEvent event)

  Specified by:
    `ownSlotRemoved` in interface `FrameListener`

### ownSlotValueChanged

    public void ownSlotValueChanged(FrameEvent event)

  Specified by:
    `ownSlotValueChanged` in interface `FrameListener`

### visibilityChanged

    public void visibilityChanged(FrameEvent event)

  Specified by:
    `visibilityChanged` in interface `FrameListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.